set term ^ ;
create procedure SP_RECORDCOUNT09
as
declare variable cnt integer;
begin
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('provstate',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('realm',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('refmain',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('refx',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('repsrc',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('resadded2',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('rescat',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('rescut',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('resdg',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('resdp',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('resgrade',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('resinres',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('resmain',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('resmine',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('response',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('resrefx',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('reswgt',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('rform',0);
  insert into GQ_RECORDCOUNT (TABLENAME,RECORDCOUNT) values ('rigneous',0);

  for select count(*) from provstate into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'provstate';
  for select count(*) from realm into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'realm';
  for select count(*) from refmain into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'refmain';
  for select count(*) from refx into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'refx';
  for select count(*) from repsrc into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'repsrc';
  for select count(*) from resadded2 into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'resadded2';
  for select count(*) from rescat into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'rescat';
  for select count(*) from rescut into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'rescut';
  for select count(*) from resdg into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'resdg';
  for select count(*) from resdp into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'resdp';
  for select count(*) from resgrade into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'resgrade';
  for select count(*) from resinres into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'resinres';
  for select count(*) from resmain into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'resmain';
  for select count(*) from resmine into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'resmine';
  for select count(*) from response into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'response';
  for select count(*) from resrefx into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'resrefx';
  for select count(*) from reswgt into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'reswgt';
  for select count(*) from rform into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'rform';
  for select count(*) from rigneous into :cnt do
    update GQ_RECORDCOUNT set RECORDCOUNT = :cnt where TABLENAME = 'rigneous';
  
end^
set term ; ^

   